local ddl = require('ddl')
local sbroad_storage = require('sbroad.storage')

_G.get_current_schema = nil

local function get_current_schema()
    return ddl.get_schema()
end

local function init(opts) -- luacheck: no unused args
    _G.get_current_schema = get_current_schema

    sbroad_storage.init()

    return true
end

local function stop()
    return true
end

local function validate_config(conf_new, conf_old) -- luacheck: no unused args
    return true
end

local function apply_config(conf, opts) -- luacheck: no unused args
    sbroad_storage.invalidate_cache()
    return true
end

return {
    role_name = 'app.roles.storage',
    init = init,
    stop = stop,
    validate_config = validate_config,
    apply_config = apply_config,
    dependencies = {
        "cartridge.roles.vshard-storage",
    },
}
